package com.factory.wx.mapper;

import com.factory.web.entity.fa.FirstArticleApprovalTask;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.res.PlanApprovalTaskRes;
import com.factory.wx.entity.res.PlanPassRes;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-20 11:22 上午
 */
@Mapper
public interface PlanPassMapper {
    /**
     * 获取放行列表-首件
     *
     * @param planPageReq
     * @return
     */
    List<PlanPassRes> getPlanPassList(PlanPageReq planPageReq);

    /**
     * 获取放行列表-防错
     *
     * @param planPageReq
     * @return
     */
    List<PlanPassRes> getPlanPassPMList(PlanPageReq planPageReq);

    /**
     * 获取待放行任务-首件
     * @param userId
     * @return
     */
    List<FirstArticleApprovalTask> getFirstArticleApprovalTaskList(Long userId);

    /**
     *
     * @param userId
     * @return
     */
    List<PlanApprovalTaskRes> getApprovalTaskList(Long userId);

}
